@echo off
set campaign=%1
set mode=%2
set host=%3
if "%campaign%"=="" (
    set campaign=campaign_demo.txt
)
if "%mode%"=="" (
    set mode=both
)
if "%host%"=="" (
    set host=localhost
)
if "%mode%"=="control" (
start testlab.exe --control@%host% --campaign:%campaign% --totalframes:145
start testlab.exe --ul@%host%
start testlab.exe --dl@%host%
)
if "%mode%"=="modems" (
start modem_demo.exe --ivs@%host%
start modem_demo.exe --psap@%host%
)
if "%mode%"=="both" (
start testlab.exe --control --campaign:%campaign% --totalframes:145
start testlab.exe --ul
start testlab.exe --dl
start modem_demo.exe --ivs
start modem_demo.exe --psap
)
